Subject: bug#21428: 24.5; Crash of emacs on OS X, installed via homebrew cask

From: Rainer M Krug <[email-masked]>
Date: Wed, 07 Oct 2015 10:13:31 +0200

Eli Zaretskii <[email-masked]> writes:

>> From: Rainer M Krug <[email-masked]>
>> Cc: [email-masked],  [email-masked]
>> Date: Tue, 06 Oct 2015 10:16:22 +0200
>> 
>> OK - I upgraded the OS and emacs is still crashing (although I think
>> less frequent?).
>> 
>> I attach the log and I think we are going somewhere.
>
> No, I don't think we've made any progress yet.  I need to see a
> transcript of a session which ends with an assertion violation due to
> FACE_FROM_ID returning a NULL pointer.  This session 9and the one
> before it) ended prematurely, and it did because of this:
>
>   Lisp Backtrace:
>   Cannot access memory at address 0x2018e20
>
> Somehow, GDB was unable to produce a Lisp backtrace for a reason that
> evades me.  I'm not sure this reason is relevant, so for now, let's
> work around it.  For your next session, please start GDB from a
> directory other than where you have the .gdbinit file that comes with
> Emacs sources, and please do NOT issue the 'source' command to read
> .gdbinit before you run Emacs under GDB.  This should avoid the
> problem we see here, and hopefully allow you to continue running until
> Emacs hits that assertion violation in get_glyph_face_and_encoding.
> When that happens, the last portion of gdb.txt before the assertion
> will hopefully tell us what goes on.

OK.

I updated to

,----
| commit 96973dea40b4214fe645258be81ac19102fb246e
`----

and used

#+begin_src sh
  cd ~/ownCompiled/emacs 
  make clean
  make distclean
  CFLAGS="-ggdb3 -O0" CXXFLAGS="-ggdb3 -O0" LDFLAGS="-ggdb3" ./configure --enable-checking='yes,glyphs' --without-xml2
  make -j 6
  make install
#+end_src

to compile.

Then:

1) I started emacs under gdb 7.10,
2) loaded all buffers as usual in emacs
3) sourced .gdbinit and your code to enable logging and the additional
breakpoints

When starting to fold /unfold, a breakpoint is called and the session quit because of

,----
| Lisp Backtrace:
| [New Thread 0x1c3f of process 1855]
| Cannot access memory at address 0x2018400
`----

So this does not seem to help.

I don't think this matters here - but I have an older version of emacs
installed and it is before the new one in the path?

I tried running the whole gdb under root, but the same.

I tried it with running emacs -Q under gdb and I get the same:

,----
| Lisp Backtrace:
| Cannot access memory at address 0x9200
| (gdb)
`----

Any suggestions what I could do from here?

Rainer

>
>> I have left the session open so just let me know if you need further
>> info.
>
> Thanks, you can close it and start a new one.

-- 
Rainer M. Krug, PhD (Conservation Ecology, SUN), MSc (Conservation Biology, UCT), Dipl. Phys. (Germany)

Centre of Excellence for Invasion Biology
Stellenbosch University
South Africa

Tel :       +33 - (0)9 53 10 27 44
Cell:       +33 - (0)6 85 62 59 98
Fax :       +33 - (0)9 58 10 27 44

Fax (D):    +49 - (0)3 21 21 25 22 44

email:      [email-masked]

Skype:      RMkrug

PGP: 0x0F52F982